/*
	NGR Converter - National Grid Reference to Latitude and Longitude
 	Copyright © 2005-2019 Harry Whitfield

 	This program is free software; you can redistribute it and/or modify it
 	under the terms of the GNU General Public License as published by the
 	Free Software Foundation; either version 2 of the License, or (at your
 	option) any later version.

 	This program is distributed in the hope that it will be useful, but
 	WITHOUT ANY WARRANTY; without even the implied warranty of
 	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 	General Public License for more details.

 	You should have received a copy of the GNU General Public License along
 	with this program; if not, write to the Free Software Foundation, Inc.,
 	51 Franklin St, Fifth Floor, Boston, MA	 02110-1301	 USA

 	NGR Converter - browser version 2.1
 	29 April, 2019
 	Copyright © 2005-2019 Harry Whitfield
 	mailto:g6auc@arrl.net
*/

/*jslint browser */

/*global getPreference
*/

///////////////////////////////////// Preference Code ////////////////////////////////////

var numericRefsPref = "1";	// was true
var figuresPref = "10";		// was 10
var latLongPref = "0";		// was false
var locatorPref = "IARU Locator";
var datumPref = "OSGB36";

//////////////////////////////////////////////////////////////////////////////////////////

function getPreferences() {
	"use strict";
	var pref;

	pref = getPreference("numericRefsPref");
	if (pref !== null) {
		numericRefsPref = pref;
	}
	pref = getPreference("figuresPref");
	if (pref !== null) {
		figuresPref = pref;
	}
	pref = getPreference("latLongPref");
	if (pref !== null) {
		latLongPref = pref;
	}
	pref = getPreference("locatorPref");
	if (pref !== null) {
		locatorPref = pref;
	}
	pref = getPreference("datumPref");
	if (pref !== null) {
		datumPref = pref;
	}
}

//////////////////////////////////////////////////////////////////////////////////////////
